System update via WUP Installer?

Discussion in 'Wii U - Hacking & Backup Loaders' started by trololo, Jul 25, 2017.

  1. trololo
    OP

    trololo Member

    Newcomer
    13
    11
    Jul 23, 2017
    United States
    tl;dr: 5.4.0 spoofed to 5.5.2; can't install haxchi or use disk 5.5.1 update

    I recently got an ebay refurb Wii U with 5.4.0 installed and botched it by doing the following:
    1) Spoofing 5.5.2 so that I could connect my NNID and download Brain Age via NNU-Patcher
    2) Failing to install haxchi (because of course it doesn't work on 5.4, which I didn't realize)
    3) Buying a game with 5.5.1 on disk and trying a disk update, which doesn't work because it looks like I have 5.5.2

    I realize that the correct course of action would have been to buy a 5.5.1 disk from the start and update that way to get haxchi installed, but here we are.

    Is there a way that I can get 5.5.1 installed (perhaps via WUP installer) now that I'm spoofed to 5.5.2? I know that I can still install games, etc and have most functionality without making changes, but I'd like full IOSU privileges.

    Thanks!
     
    Last edited by trololo, Jul 25, 2017
    antiNT likes this.
  2. noragrets

    noragrets Suspended

    Suspended
    227
    142
    May 5, 2017
    have you tried installing the 5.5.1 spoof files from your region over 5.5.2?
    version title packs can be found here
    i haven't tested this myself, so there's no guarantee it'll work, it might even brick your console for all i know
     
    Last edited by noragrets, Jul 25, 2017
    trololo likes this.
  3. trololo
    OP

    trololo Member

    Newcomer
    13
    11
    Jul 23, 2017
    United States
    No dice - failure to install with code FFFBFFC2, which doesn't come out to anything when googling. I assume it's due to the Wii U not allowing versions to downgrade.

    If I could get the legit 5.5.0 + 5.5.1 system title files, I could slap the 5.5.2 version file on it, but I honestly don't know how / where to get those.
     
  4. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,467
    5,961
    Apr 20, 2015
    United States
    Tigard, OR
    if you've already installed the 5.5.2 VersionInfo, you can probably just skip installing it.
     
  5. trololo
    OP

    trololo Member

    Newcomer
    13
    11
    Jul 23, 2017
    United States
    Thanks, I can take a stab at installing individual titles. Any hint as to which version of WUPInstaller I should be using? I have the version used for spoofs that allow system titles.

    There are 13 system titles according to https://yls8.mtheall.com/ninupdates/titlelist.php?date=08-17-15_08-05-05&sys=wup&reg=E (15 if you include 5.5.1). I thought I read that WUPInstaller Y mod blocks system titles, and I'm wary of using the other version in case something happens with popping out my sd card during the updates.
     
  6. PokeAcer

    PokeAcer Banned

    Banned
    1,430
    1,061
    May 28, 2015
    United Kingdom
    Wales
    Hi;
    I was trying to get this working but I ran into some issues. If you wouldn't mind testing, I can give you info, though it's very likely you'll brick.
     
  7. trololo
    OP

    trololo Member

    Newcomer
    13
    11
    Jul 23, 2017
    United States
    I'm willing to take moderate risk [hence the spoof], but I don't want to be foolish here. What's the idea?
     
    PokeAcer likes this.
  8. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,112
    5,180
    Mar 17, 2010
    Norway
    Alola
    Maybe Sys Config Tool would work for downgrading the version title. I can't guarantee anything though.
    If you do install that, be very careful with it and make sure you use punderino's version, not the unmodded one or you could brick, the unmodded one can only be used on redNAND! You can easily brick by selecting the wrong option. Only use it to install the version title and the remove it afterwards.
    I can't stress enough how dangerous this tool is. Read the parts highlighted in red and make sure to follow them, and read everything else too.
     
    Last edited by The Real Jdbye, Jul 25, 2017
    trololo likes this.
  9. trololo
    OP

    trololo Member

    Newcomer
    13
    11
    Jul 23, 2017
    United States
    Thanks. I gave it a go (from this thread, correct me if I'm wrong on the version needed), and install fails with error FFFBF442, which some googling tells me is due to sig patching.
     
  10. PokeAcer

    PokeAcer Banned

    Banned
    1,430
    1,061
    May 28, 2015
    United Kingdom
    Wales
    Get the files needed for 5.5.0 and 5.5.1, use WUPInstaller GX2 (no relaunch, plus can run from HBL).
    If it doesn't allow system apps we'll just have to remove that.

    I'd say dump the WUD of your game and then use that for titles but no need :P
     
    trololo likes this.
  11. trololo
    OP

    trololo Member

    Newcomer
    13
    11
    Jul 23, 2017
    United States
    I'm 50% sure that it can't install system titles [or perhaps there is some preparation step for installing system titles other than using nusgrabber].

    EDIT: 100%. It was both - there's a fairly clear error message about not installing things other than games, updates, and DLC.
     
    Last edited by trololo, Jul 25, 2017
    PokeAcer likes this.
  12. trololo
    OP

    trololo Member

    Newcomer
    13
    11
    Jul 23, 2017
    United States
    At this point, I suppose I'll have to operate without CFW, which seems ok if not ideal.
     
    PokeAcer likes this.
  13. PokeAcer

    PokeAcer Banned

    Banned
    1,430
    1,061
    May 28, 2015
    United Kingdom
    Wales
    Hey, I've had an idea, however you don't seem to have enough posts to DM yet. if you make 2 more posts, I should be able to DM you @trololo
     
    trololo likes this.
  14. trololo
    OP

    trololo Member

    Newcomer
    13
    11
    Jul 23, 2017
    United States
    [crap post]
     
    Last edited by trololo, Jul 27, 2017
  15. trololo
    OP

    trololo Member

    Newcomer
    13
    11
    Jul 23, 2017
    United States
    UPDATE: Thanks to advice from @PokeAcer I was able to update all system titles [except VersionData and the browser of course] to 5.5.1 versions.

    Haxchi is working and it's purring.

    Thanks!

    EDIT: To be more explicit, I used WUPInstaller.
     
    Last edited by trololo, Jul 27, 2017
    PokeAcer likes this.
  16. antiNT

    antiNT a.k.a Johnny El Pollo Loco

    Member
    151
    57
    Sep 14, 2015
    Qatar
    Doha - Qatar
    Can you describe what you did with WupInstaller? Thanks.
     
  17. PokeAcer

    PokeAcer Banned

    Banned
    1,430
    1,061
    May 28, 2015
    United Kingdom
    Wales
    antiNT likes this.